
//Plugin wrapper class.
function BarcodeReader( options )
{
    this.plg = _CreatePlugin( "com.droidscript.plugins.BarcodeReader", options );  
	this.GetVersion = function( ) { return parseFloat( this.plg.Send( "GetVersion" ) ); }
    this.Decode = function( obj ) { 
    
    		var result = null;
    		
    		if( obj.GetType() == "CameraView" )
    		{
    			result = this.plg.SendCam( "DecodeCam", obj );
    		}
    		else
    		{
    			result = this.plg.SendImg( "DecodeImg", obj );
    		}  		
    		
    		var jsonResult = null;
    		
    		try
    		{
    			jsonResult = JSON.parse(result);
    		}
    		catch(e)
    		{
    			jsonResult = null;
    		}
    		
    		return jsonResult;
    	}
    this.SetBarcodeTypes = function( types ) { this.plg.Send( "SetBarcodeTypes", types ); }
    this.SetDecodeMode = function( mode ) { this.plg.Send( "SetDecodeMode", mode ); }
    this.SetOnResultPoint = function( cb ) { this.plg.Send( "SetOnResultPoint", cb != null ? cb.name : null ); }
    this.SetDecodeRect = function( l, t, r, b ) { this.plg.Send( "SetDecodeRect", l, t, r, b ); }
}